## pwget 2010.0307+git7a97067

=== Makefile ===
#!/usr/bin/make -f
#
#   Copyright information
#
#	Copyright (C) 2002-2010 Jari Aalto
#
#   License
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program. If not, see <http://www.gnu.org/licenses/>.

ifneq (,)
This makefile requires GNU Make.
endif

PACKAGE		= pwget
DESTDIR		=
prefix		= /usr
exec_prefix	= $(prefix)
man_prefix	= $(prefix)/share
mandir		= $(man_prefix)/man
bindir		= $(exec_prefix)/bin
sharedir	= $(prefix)/share

BINDIR		= $(DESTDIR)$(bindir)
DOCDIR		= $(DESTDIR)$(sharedir)/doc/$(PACKAGE)
LOCALEDIR	= $(DESTDIR)$(sharedir)/locale
SHAREDIR	= $(DESTDIR)$(sharedir)/$(PACKAGE)
LIBDIR		= $(DESTDIR)$(prefix)/lib/$(PACKAGE)
SBINDIR		= $(DESTDIR)$(exec_prefix)/sbin
ETCDIR		= $(DESTDIR)/etc/$(PACKAGE)

# 1 = regular, 5 = conf, 6 = games, 8 = daemons
MANDIR		= $(DESTDIR)$(mandir)
MANDIR1		= $(MANDIR)/man1
MANDIR5		= $(MANDIR)/man5
MANDIR6		= $(MANDIR)/man6
MANDIR8		= $(MANDIR)/man8

TAR		= tar
TAR_OPT_NO	= --exclude='.build'	 \
		  --exclude='.sinst'	 \
		  --exclude='.inst'	 \
		  --exclude='tmp'	 \
		  --exclude='*.bak'	 \
		  --exclude='*[~\#]'	 \
		  --exclude='.\#*'	 \
		  --exclude='CVS'	 \
		  --exclude='.svn'	 \
		  --exclude='.git'	 \
		  --exclude='.bzr'	 \
		  --exclude='*.tar*'	 \
		  --exclude='*.tgz'

INSTALL		= /usr/bin/install
INSTALL_BIN	= $(INSTALL) -m 755
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_SUID	= $(INSTALL) -m 4755

DIST_DIR	= ../build-area
DATE		= `date +"%Y.%m%d"`
VERSION		= $(DATE)
RELEASE		= $(PACKAGE)-$(VERSION)

BIN		= $(PACKAGE)
PL_SCRIPT	= bin/$(BIN).pl

INSTALL_OBJS_BIN   = $(PL_SCRIPT)
INSTALL_OBJS_DOC   = README COPYING
INSTALL_OBJS_MAN   = bin/*.1

all:
	@echo "Nothing to compile."
	@echo "Try 'make help' or 'make -n DESTDIR= prefix=/usr/local install'"

# Rule: help - display Makefile rules
help:
	grep "^# Rule:" Makefile | sort

# Rule: clean - remove temporary files
clean:
	# clean
	-rm -f *[#~] *.\#* \
	*.x~~ pod*.tmp

	rm -rf tmp

distclean: clean

realclean: clean

dist-git: doc test
	rm -f $(DIST_DIR)/$(RELEASE)*

	git archive --format=tar --prefix=$(RELEASE)/ master | \
	gzip --best > $(DIST_DIR)/$(RELEASE).tar.gz

	chmod 644 $(DIST_DIR)/$(RELEASE).tar.gz

	tar -tvf $(DIST_DIR)/$(RELEASE).tar.gz | sort -k 5
	ls -la $(DIST_DIR)/$(RELEASE).tar.gz

# The "gt" is maintainer's program frontend to Git
# Rule: dist-snap - [maintainer] release snapshot from Git repository
dist-snap: doc test
	@echo gt tar -q -z -p $(PACKAGE) -c -D master

# Rule: dist - [maintainer] release from Git repository
dist: dist-git

dist-ls:
	@ls -1tr $(DIST_DIR)/$(PACKAGE)*

# Rule: dist - [maintainer] list of release files
ls: dist-ls

bin/$(PACKAGE).1: $(PL_SCRIPT)
	perl $(PERL) $< --help-man > $@
	@-rm -f *.x~~ pod*.tmp

doc/manual/$(PACKAGE).html: $(PL_SCRIPT)
	perl $(PERL) $< --help-html > $@
	@-rm -f *.x~~ pod*.tmp

doc/manual/$(PACKAGE).txt: $(PL_SCRIPT)
	perl $(PERL) $< --help > $@
	@-rm -f *.x~~ pod*.tmp

doc/conversion/index.html: doc/conversion/index.txt
	perl -S t2html.pl --Auto-detect --Out --print-url $<

# Rule: man - Generate or update manual page
man: bin/$(PACKAGE).1

html: doc/manual/$(PACKAGE).html

txt: doc/manual/$(PACKAGE).txt

# Rule: doc - Generate or update all documentation
doc: man html txt

# Rule: perl-test - Check program syntax
perl-test:
	# perl-test - Check syntax
	perl -cw $(PL_SCRIPT)
	podchecker $(PL_SCRIPT)

# Rule: test - Run tests
test: perl-test

install-doc:
	# Rule install-doc - Install documentation
	$(INSTALL_BIN) -d $(DOCDIR)

	[ ! "$(INSTALL_OBJS_DOC)" ] || \
		$(INSTALL_DATA) $(INSTALL_OBJS_DOC) $(DOCDIR)

	$(TAR) -C doc $(TAR_OPT_NO) --create --file=- . | \
	$(TAR) -C $(DOCDIR) --extract --file=-

install-man: man
	# install-man - Install manual pages
	$(INSTALL_BIN) -d $(MANDIR1)
	$(INSTALL_DATA) $(INSTALL_OBJS_MAN) $(MANDIR1)

install-bin:
	# install-bin - Install programs
	$(INSTALL_BIN) -d $(BINDIR)
	for f in $(INSTALL_OBJS_BIN); \
	do \
		dest=$$(basename $$f | sed -e 's/\.pl$$//' -e 's/\.py$$//' ); \
		$(INSTALL_BIN) $$f $(BINDIR)/$$dest; \
	done

# Rule: install - Standard install
install: install-bin install-man install-doc

# Rule: install-test - for Maintainer only
install-test:
	rm -rf tmp
	make DESTDIR=`pwd`/tmp prefix=/usr install
	find tmp | sort

.PHONY: clean distclean realclean
.PHONY: install install-bin install-man
.PHONY: all man doc test install-test perl-test
.PHONY: dist dist-git dist-ls ls

# End of file

=== debian/changelog ===
pwget (2010.0307+git7a97067-1) unstable; urgency=low

  * Initial release (Closes: #571009).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 07 Mar 2010 14:47:00 +0200

=== debian/control ===
Source: pwget
Section: web
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1), libwww-perl, perl-modules, wget
Standards-Version: 3.8.4
Homepage: http://freshmeat.net/projects/perl-webget

Package: pwget
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}
Description: downloader utility which resembles wget (implemented in Perl)
 Pwget is similar to wget(1) but it can use categorized configuration
 files, analyze Web pages, and "search" for download links as
 instructed. Instead of absolute links, it contains heuristics to
 track newer versions of files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = pwget
DOCDIR  = debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc

install:
	# target: install
	dh_testdir
	dh_prep
	dh_install
	$(MAKE) prefix=/usr \
		DESTDIR=debian/$(PACKAGE) \
		INSTALL_OBJS_DOC="" \
		DOCDIR=$(DOCDIR) \
		install

binary-indep: install
	# target: binary-indep -- Build architecture independent files
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installman
	dh_installchangelogs
	dh_perl
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

%:
	dh  $@

.PHONY: install
.PHONY: binary binary-indep

# End of file

## pwget 2010.1012%2Bgit5feaa59

=== debian/watch ===
version=3
# https://savannah.nongnu.org/files/?group=perl-webget
# http://download.savannah.gnu.org/releases/perl-webget/
http://mirrors.zerg.biz/nongnu/perl-webget/ p.*-([\d.]+).*\.tar\.gz

## pwget 2010.1012+git5feaa59

=== Makefile ===
--- 
+++ 
@@ -72,6 +72,7 @@
 VERSION		= $(DATE)
 RELEASE		= $(PACKAGE)-$(VERSION)
 
+PERL		= perl
 BIN		= $(PACKAGE)
 PL_SCRIPT	= bin/$(BIN).pl
 
@@ -125,15 +126,15 @@
 ls: dist-ls
 
 bin/$(PACKAGE).1: $(PL_SCRIPT)
-	perl $(PERL) $< --help-man > $@
+	$(PERL) $< --help-man > $@
 	@-rm -f *.x~~ pod*.tmp
 
-doc/manual/$(PACKAGE).html: $(PL_SCRIPT)
-	perl $(PERL) $< --help-html > $@
+doc/manual/index.html: $(PL_SCRIPT)
+	$(PERL) $< --help-html > $@
 	@-rm -f *.x~~ pod*.tmp
 
-doc/manual/$(PACKAGE).txt: $(PL_SCRIPT)
-	perl $(PERL) $< --help > $@
+doc/manual/index.txt: $(PL_SCRIPT)
+	$(PERL) $< --help > $@
 	@-rm -f *.x~~ pod*.tmp
 
 doc/conversion/index.html: doc/conversion/index.txt
@@ -142,9 +143,9 @@
 # Rule: man - Generate or update manual page
 man: bin/$(PACKAGE).1
 
-html: doc/manual/$(PACKAGE).html
-
-txt: doc/manual/$(PACKAGE).txt
+html: doc/manual/index.html
+
+txt: doc/manual/index.txt
 
 # Rule: doc - Generate or update all documentation
 doc: man html txt

=== debian/changelog ===
pwget (2010.1012+git5feaa59-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.22: Can't use 'defined(@array)'":
    add (parts of) upstream commit fc6641b which removes the defined().
    (Closes: #789642)
  * Replace perl-modules with perl in Build-Depends.
    The split was always an internal detail of src:perl, with 5.22
    perl-modules is going away as a "real" package.

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Sep 2015 18:09:53 +0200

pwget (2010.1012+git5feaa59-2) unstable; urgency=low

  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9.
    - (Homepage): Update broken URL.
    - (Standards-Version): Update to 3.9.5.
  * debian/copyright
    - Update to Copyright Format 1.0.
  * debian/patches:
    - (10, 20): New. Corrections for HTML and manual page.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 21 Feb 2014 15:50:35 +0200

pwget (2010.1012+git5feaa59-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Vcs-*): new fields.
  * debian/rules:
    - Clean up targets. (Closes: #593767).
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): update to debhelper 8.
    - (Standards-Version): 3.9.1.
  * debian/pwget.doc-base
    - (Text): New.
    - (Html): Correct paths.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 12 Oct 2010 21:37:14 +0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: web
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 7.1), libwww-perl, perl-modules, wget
-Standards-Version: 3.8.4
-Homepage: http://freshmeat.net/projects/perl-webget
+Build-Depends: debhelper (>= 9), libwww-perl, perl, wget
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pwget.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/pwget.git
+Homepage: http://freshmeat.net/projects/perlwebget
 
 Package: pwget
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = pwget
DOCDIR  = debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc

override_dh_auto_install:
	$(MAKE) prefix=/usr \
		DESTDIR=debian/$(PACKAGE) \
		INSTALL_OBJS_DOC="" \
		DOCDIR=$(DOCDIR) \
		install

	# Not needed
	rm -f debian/pwget/usr/share/doc/pwget/COPYING*

%:
	dh  $@

# End of file

## pwget 2016.1019+git75c6e3e

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 2002-2010 Jari Aalto
+#	Copyright (C) 2002-2016 Jari Aalto
 #
 #   License
 #

=== debian/changelog ===
pwget (2016.1019+git75c6e3e-8) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 14:13:37 +0100

pwget (2016.1019+git75c6e3e-7) unstable; urgency=medium

  * QA upload.
  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright:
      - Pointed Upstream-Contact to GitHub (issues).
      - Updated packaging data.
      - Updated the GPL-2 license text.
      - Updated upstream email address and copyright years.
  * debian/lintian-overrides: created to override a false positive.
  * debian/patches/:
      - 10-html.patch: added Last-Update field.
      - 20-fix_spelling.patch: created to fix spelling errors.
  * debian/pwget.doc-base: renamed to doc-base.
  * debian/pwget.docs: renamed to docs.
  * debian/rules: using dh_auto_install instead of '$(MAKE) install' command.
  * debian/source/lintian-overrides: created to override a false positive.
  * debian/upstream/metadata: created.
  * debian/watch: using a fake site to explain about the current status of the
    original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 26 Jul 2022 21:51:02 -0300

pwget (2016.1019+git75c6e3e-6) unstable; urgency=medium

  * QA upload.
  * Source-only upload.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Sep 2021 16:29:30 -0300

pwget (2016.1019+git75c6e3e-5) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + pwget: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 20 Aug 2021 14:04:54 +0100

pwget (2016.1019+git75c6e3e-4) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added libwww-perl to Depends field. (Closes: #961456)
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Set Architecture: all.
      - Set Multi-Arch: foreign.
      - Updated VCS fields to point to Salsa.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: set two CI tests as superficial.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 21 Sep 2020 19:04:46 -0300

pwget (2016.1019+git75c6e3e-3) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: added to perform tests.

 -- Elimar Henrique da Silva <elimar.henrique@yahoo.com.br>  Thu, 14 May 2020 17:14:42 -0300

pwget (2016.1019+git75c6e3e-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920062)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Elimar Henrique da Silva <elimar.henrique@yahoo.com.br>  Mon, 11 May 2020 12:54:38 -0300

pwget (2016.1019+git75c6e3e-1) unstable; urgency=medium

  * New upstream release. ACK NMU, thanks Gregor.
  * debian/control
    - (Build-Depends): Change from perl-modules to perl.
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update URLs.
  * debian/patches
    - (10): refresh.
    - (20): Delete. Manual page spelling correction.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 21 Oct 2016 17:52:20 +0300

=== debian/control ===
Source: pwget
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libwww-perl, perl, wget
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/pwget
Vcs-Git: https://salsa.debian.org/debian/pwget.git
Homepage: https://github.com/jaalto/project--perl-webget

Package: pwget
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libwww-perl
Multi-Arch: foreign
Description: downloader utility which resembles wget (implemented in Perl)
 Pwget is similar to wget(1) but it can use categorized configuration files,
 analyze Web pages, and "search" for download links as instructed. Instead of
 absolute links, it contains heuristics to track newer versions of files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DOCDIR  = debian/pwget/usr/share/doc/pwget/doc

%:
	dh  $@

override_dh_auto_install:
	dh_auto_install -- DOCDIR=$(DOCDIR) INSTALL_OBJS_DOC=""
	# Extra license file not needed
	rm -f $(DOCDIR)/COPYING*
